<?xml version='1.0' encoding='utf-8'?>
<manifest
    xmlns:android="http://schemas.android.com/apk/res/android"
    package="cc.winboll.studio.webpagesources">

    <!-- 拥有完全的网络访问权限 -->
    <uses-permission android:name="android.permission.INTERNET"/>

    <!-- 读取您共享存储空间中的内容 -->
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE"/>

    <!-- 修改或删除您共享存储空间中的内容 -->
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE"/>

    <!-- 只能在前台获取精确的位置信息 -->
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION"/>

    <application
        android:name=".App"
        android:allowBackup="true"
        android:icon="@drawable/ic_winboll"
        android:label="@string/app_name"
        android:theme="@style/WebPageSourceTheme"
        android:supportsRtl="true"
        android:resizeableActivity="true"
        android:requestLegacyExternalStorage="true"
        android:networkSecurityConfig="@xml/network_security_config">

        <activity
            android:name=".MainActivity"
            android:label="@string/app_name"
            android:launchMode="standard"
            android:exported="true">

            <intent-filter>

                <action android:name="android.intent.action.MAIN"/>

                <category android:name="android.intent.category.LAUNCHER"/>

            </intent-filter>

            <intent-filter>

                <action android:name="android.intent.action.VIEW"/>

                <category android:name="android.intent.category.DEFAULT"/>

                <category android:name="android.intent.category.BROWSABLE"/>

                <data android:scheme="http"/>

                <data android:scheme="https"/>

            </intent-filter>

            <intent-filter>

                <action android:name="android.intent.action.VIEW"/>

                <category android:name="android.intent.category.DEFAULT"/>

                <category android:name="android.intent.category.BROWSABLE"/>

                <data android:mimeType="text/html"/>

                <data android:mimeType="application/xhtml+xml"/>

            </intent-filter>

            <intent-filter>

                <action android:name="android.intent.action.VIEW"/>

                <category android:name="android.intent.category.DEFAULT"/>

                <category android:name="android.intent.category.BROWSABLE"/>

                <data android:scheme="about"/>

            </intent-filter>

            <intent-filter>

                <action android:name="android.intent.action.VIEW"/>

                <category android:name="android.intent.category.DEFAULT"/>

                <category android:name="android.intent.category.BROWSABLE"/>

                <data android:scheme="javascript"/>

            </intent-filter>

        </activity>

        <activity
            android:name=".activities.AboutActivity"
            android:label="AboutActivity"/>

        <meta-data
            android:name="android.max_aspect"
            android:value="4.0"/>

        <activity android:name=".GlobalApplication$CrashActivity"/>

    </application>

</manifest>